Retrieves the data and current status of an Automatic Pix payment instruction by ID.
Use this operation for one-off queries when the instruction identifier is already known, including to confirm its current status or investigate a refusal. To find instructions when the ID is not known, use List payment instructions.
The response lets you link the instruction to the payment through paymentId and to the originating authorization through authorization.id. When status is REFUSED, use refusalReason to identify the cause of the refusal.
The API Key used must have the PIX_AUTOMATIC:READ permission.
Tracking changesTo track scheduling, refusal and cancellation of instructions, use Webhooks instead of querying this endpoint repeatedly.
The
DONEstatus may be returned by the API, but the financial completion of the payment must be tracked through the payment events defined in the Automatic Pix flow.
Related content
Guides
Webhooks
403Forbidden. Occurs when the request body is filled, GET method calls must have an empty body.
404Not found
